GMDI_Init () ; Initiieren der GMDI-Engine



If OpenWindow(0, 0, 0, 800 , 600, "GMDI - GAMEGDI Test", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
  
  
  GMDI_OpenWindowedScreen (WindowID (0) , 0 , 0 , 800 , 600 , #False) ; Render-Surface erzeugen
  
  
  
  hSp1.l = GMDI_LoadSprite  ("wolfs_inn.bmp") ; Sprite laden
  hSp2.l = GMDI_CloneSprite (hSp1.l) ; Das geladene Sprite klonen
  
  
  hDraw.l = GMDI_SpriteDrawing_Init(#Null , 80 , 80) ; Einleiten ein Sprite direkt ber Primitive zu erzeugen
  If hDraw.l
     GMDI_SpriteDrawing_Box (hDraw.l , 0 , 0 , 80 , 80 , $FF00FF , $FF00FF , 1) ; Box zeichnen
     GMDI_SpriteDrawing_Box (hDraw.l , 5 , 5 , 75 , 75 , $000000 , $2A2418, 2) 
     GMDI_SpriteDrawing_Box (hDraw.l , 0 , 0 , 75 , 75 , $645537 , $FFFFFF , 2)
     GMDI_SpriteDrawing_Text (hDraw.l , "Kollision" , "Arial" , 24 , -45 , 20 , 0 , $FFFFFF) ; Text zeichnen
     hTextbox.l = GMDI_SpriteDrawing_Render (hDraw.l) ; Sprite rendern und Handle zurckgeben
  EndIf

  hDraw.l = GMDI_SpriteDrawing_Init(#Null , 25 , 25) ; Einleiten ein Sprite direkt ber Primitive zu erzeugen
  If hDraw.l
     GMDI_SpriteDrawing_Box  (hDraw.l , 0 , 0 , 25 , 25 , $FF00FF , $FF00FF , 1) ; Box zeichnen
     GMDI_SpriteDrawing_Line (hDraw.l , 0 , 0 , 15 , 0 , $000000 , 2) ; Linie zeichnen
     GMDI_SpriteDrawing_Line (hDraw.l , 0 , 0 , 0 , 15 , $000000 , 2) ; Linie zeichnen
     GMDI_SpriteDrawing_Line (hDraw.l , 0 , 0 , 15 , 15 , $000000 , 2) ; Linie zeichnen
     hCursor.l = GMDI_SpriteDrawing_Render (hDraw.l) ; Sprite rendern und Handle zurckgeben
  EndIf
  

  
  
  Repeat
    Select WaitWindowEvent (40) ; Window-Events mit 40ms Interrupt abfragen
      Case #PB_Event_CloseWindow
      End
    EndSelect
    
    ; Frame-Unterbrecher. Null der CPU-Last wegen
    If tick.l = 0 : titick.l = GetTickCount_() + 40 : tick.l = 1 : EndIf
    If titick.l < GetTickCount_()
      GMDI_ClearFrame ($E62D19) ; Das nchste Frame vorm Rendern subern
      
      GMDI_DisplaySprite (hSp1.l , 50 + move.l , 349) ; Sprite zum Rendern in Auftrag geben
      GMDI_DisplayTransparentSprite (hSp2.l , 600 - move.l , 349 , $FF00FF) ; Sprite zum Rendern inklusive Transparenz in Auftrag geben
      If GMDI_SpriteCollision (hSp1.l , 50 + move.l , 349 , hSp2.l , 600 - move.l , 349)
         GMDI_DisplayTransparentSprite (hTextbox.l , 400 , 150 , $FF00FF) ; Sprite zum Rendern in Auftrag geben
      EndIf
      
      GMDI_DisplayTransparentSprite (hCursor.l , GMDI_Mouse_X () , GMDI_Mouse_Y () , $FF00FF)
      
      move.l + 4
      If move.l>550:move.l=0:EndIf
      GMDI_Render () ; Frame rendern
      tick.l = 0
    EndIf

  ForEver
EndIf






End

; IDE Options = PureBasic v4.00 (Windows - x86)
; CursorPosition = 65
; FirstLine = 35
; Folding = -